class CartController < ApplicationController
  def add
    @cart = find_cart
    @cart.add(params[:id])
    redirect_to :action => 'index', :format => params[:format]
  end

  def update
    @cart = find_cart
    @cart.update(params[:id], params[:quantity])
    redirect_to :action => 'index', :format => params[:format]
  end

  def destroy
    @cart = find_cart
    @cart.delete(params[:id])
    redirect_to :action => 'index', :format => params[:format]
  end

  def index
    @cart = find_cart
    @items = @cart.items

    respond_to do |format|
      format.html # index.rhtml
      #format.xml  { render :xml => @products.to_xml }
      format.xml { render :action => "index.rxml", :layout => false }
    end
  end

  private
  def find_cart
    if (session[:cart] == nil) 
        session[:cart] = Cart.new
    end
	return session[:cart]
  end
end
