drop database store_dev;
drop database store_test;
drop database store_prod;

create database store_dev;
create database store_test;
create database store_prod;

grant all on store_dev.*  to laszlo@localhost identified by 'laszlo';
grant all on store_test.* to laszlo@localhost identified by 'laszlo';
grant all on store_prod.* to laszlo@localhost identified by 'laszlo';

use store_dev;

drop table if exists products;
drop table if exists line_items;


create table products (
    id varchar(12) not null,
	title varchar(100) not null,
    outline text,
	description text not null,
    specs text not null,
	image varchar(200) not null,
    category varchar(100) not null,
    video varchar(100) not null,
	price decimal(10,2) not null,
	primary key (id)
);

INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES
(
'SKU-001',
'new',
'300',
11.99,
'dvd/300.jpg',
'300.flv',
'300 brings Frank Miller and Lynn Varley\'s graphic novel vividly to life. Gerard Butler (Beowulf and Grendel, The Phantom of the Opera) radiates pure power and charisma as Leonidas, the Grecian king who leads 300 of his fellow Spartans (including David Wenham of The Lord of the Rings, Michael Fassbender, and Andrew Pleavin) into a battle against the overwhelming force of Persian invaders. Their only hope is to neutralize the numerical advantage by confronting the Persians, led by King Xerxes (Rodrigo Santoro), at the narrow strait of Thermopylae.',
'300: The epic graphic novel by Frank Miller assaults the screen with the blood, thunder and awe of its ferocious visual style faithfully recreated in an intense blend of live-action and CGI animation.',
'<p><big>Regional Code: 1 (US and Canada)</big><br>Language: English, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen<br>Length: (approx) 116 minutes<br>Release Date July 31, 2007</p>');


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES
(
'SKU-002',
'new',
'beowulf',
17.99,
'dvd/beowulf.jpg',
'beowulf.flv',
'In the age of heroes comes the mightiest warrior of them all, Beowulf. After destroying the overpowering demon Grendel, he incurs the undying wrath of the beast\'s ruthlessly seductive mother, who will use any means possible to ensure revenge. The ensuing epic battle resonates throughout the ages, immortalizing the name of Beowulf.',
'Beowolf: Director Robert Zemeckis offers a 3-D vision of the Beowulf saga', 
'<p><big>Regional Code: 1 (US and Canada)</big><br>Language: English, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen<br>Length: (approx) 113 minutes<br>Release Date November 16, 2007</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-003', 
'new', 
'Bourne Identity', 
10.98, 
'dvd/bourne_identity.jpg', 
'bourne_identity.flv',
'The Bourne Identity is the story of a man whose wounded body is discovered by fisherman who nurse him back to health. He can remember nothing and begins to try to rebuild his memory based on clues such as the Swiss bank account, the number of which, is implanted in his hip. He soon realizes that he is being hunted and takes off with Marie on a search to find out who he is and why he is being hunted.', 
'Bourne Identity: Who is Jason Bourne? Not even he knows for sure. Considered a rogue agent by the Treadstone Project', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC <br>Length: (approx) 119 minutes.<br>Release Date: July 13, 2004<br>Studio: Universal Studios</p>'); 


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-004', 
'new', 
'Bourne Supremacy', 
10.98, 
'dvd/bourne_supremacy.jpg', 
'bourne_supremacy.flv',
'When a CIA operation to purchase classified Russian documents is blown by a rival agent--who then shows up in the sleepy seaside village where Bourne (Damon) and Marie (Potente) have been living under assumed names--the pair collapse their lives and head out. Bourne, who promised retaliation should anyone from his former life attempt contact, is forced to once again take up his life as a trained assassin to survive.', 
'Bourne Supremacy is out', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC <br>Length: (approx) 109 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Universal Studios</p>'); 


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES
(
'SKU-005', 
'new',  
'Spiderman 2', 
11.99, 
'dvd/spiderman_2.jpg', 
'spiderman_2.flv',
'Peter Parker is having a rough time. His double life as the superhero Spider-Man is having a devastating impact on his civilian life.  Things are so bad he declares that he\'s quitting, and never putting on the suit again. However, his sense of duty forces him to become a hero again when the brilliant scientist Dr. Otto Octavius is deformed in an accident and becomes Dr. Octopus. With four metal tentacles sticking out of his back, he\'ll prove to be a more than worthy opponent for Spider-Man.', 
'Spiderman 2: Peter Parker is beset with numerous personal problems while Spider-Man confronts the brilliant Dr. Otto Octavius, who has been transformed into Doctor Octopus (aka, Doc Ock), a multi-tentacled menace.', 
'<p><big>Regional Code: 1 (US and Canada)</big><br>Language: English, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen<br>Length: (approx) 131 minutes<br>Other: Interactive Menus, Chapter Selection, Subtitles (more languages).</p>'); 



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-006',
'new', 
'I, Robot', 
10.99, 
'dvd/irobot.jpg', 
'irobot.flv',
'it\'s the year 2035, and the community now has the help of robots. These robots have three laws integrated into their system. One, they cannot harm a human being or, through inaction, allow a human being to come to harm. Two, they must do whatever they\'re told by a human being as long as such orders don\'t conflict with law one. Three, they have to defend themselves as long as such defense doesn\'t conflict with laws one or two. One day, the writer of the three laws, Alfred Lanning, apparently jumps out of the tenth-floor window of U.S. Robotics. The majority of the Chicago Police Department believe that he committed suicide, but Detective Del Spooner (Smith), who hates robots, thinks he was murdered, and the number one suspect is a Nestor Class-5 robot who calls himself Sonny. However, if it was Sonny, then that means he would\'ve had to have broken the three laws. With the help of Dr. Susan Calvin, Spooner must now discover the truth before it\'s too late.',
'I, Robot: In the year 2035 a techno-phobic cop investigates a crime that may have been perpetrated by a robot, which leads to a larger threat to humanity',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen.<br>Length: (approx) 116 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: 20th Century Fox</p>');





INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-007', 
'new', 
'The Terminator', 
5.98, 
'dvd/terminator_1.jpg', 
'terminator_1.flv',
'A cyborg is sent from the future on a deadly mission. He has to kill Sarah Connor, a young woman whose life will have a great significance in years to come. Sarah has only one protector - Kyle Reese - also sent from the future. The Terminator uses his exceptional intelligence and strength to find Sarah, but is there any way to stop the seemingly indestructible cyborg ?', 
'A human-looking, apparently unstoppable cyborg is sent from the future to kill Sarah Connor; Kyle Reese is sent to stop it.', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: Anamorphic, Closed-captioned, Color, Dolby, Subtitled, Widescreen, NTSC<br>Length: (approx) 107 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: MGM Studios</p>');


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-008', 
'new', 
'Sin City', 
12.98, 
'dvd/sin_city.jpg', 
'sin_city.flv',
'Sin City is a violent city where the police department is as corrupt as the streets are deadly. In this movie, we follow three stories, the central of which is Marv, a tough-as-nails and nearly impossible to kill street fighter who goes on a rampage of vengeance when a beautiful woman, Goldie (King), he sleeps with for only one night is killed while lying in bed with him.', 
'A film that explores the dark and miserable town Basin City and tells the story of three different people, all caught up in the violent corruption of the city', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');

INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES
(
'SKU-009', 
'new',  
'Iron Man', 
11.99, 
'dvd/ironman.jpg', 
'ironman.flv',
'Based on the Marvel Comics Character; Billionaire playboy industrialist Tony Stark makes wepons for the U.S. government. While out on a field test of one of his inventions, he is wounded, captured and foreced to make wepons for the enemy. Instead, he fashions himself a crude power armor to save his life and facilitate his escape. When he returns home, he revises his armor and finds purpose as the Armored Avenger Iron Man!',
'Iron Man: When Tony Stark is forced to create a life support suit to keep him alive after an accident he decides to use the technology in his suit to fight crime.',
'<p><big>Regional Code: 1 (US and Canada)</big><br>Language: English, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen<br>Length: (approx) 131 minutes<br>Other: Interactive Menus, Chapter Selection, Subtitles (more languages).</p>'); 



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-010',
'new', 
'Gone Baby Gone', 
10.99, 
'dvd/gone_baby_gone.jpg', 
'gone_baby_gone.flv',
'Gone Baby Gone begins with a search for a young child gone missing in Boston. Patrick Kenzie, (Casey Affleck) a private investigator, is hired by the aunt of the missing child to help the police, under Chief Doyle (Morgan Freeman), talk to "the neighborhood people" who are reluctant to talk to the police. The missing child\'s mother is a drug addict who has put her daughter in danger many times in the past. Kenzie and his girlfriend/partner Angie (Michelle Monaghan) find out that the child\'s mother, Helene (Amy Ryan), and her boyfriend Skinny Ray, had stolen $130,000 from a local drug lord.',
'Based on the Dennis Lehane novel about two Boston area detectives investigating a little girl\'s kidnapping, which ultimately turns into a crisis both professionally and personally.', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen.<br>Length: (approx) 116 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: 20th Century Fox</p>');




INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-011', 
'new', 
'Matrix', 
5.98, 
'dvd/matrix.jpg', 
'matrix.flv',
'Set in the not too distant future in an insipid, characterless city, we find a young man named Neo (Keanu Reeves). A software techie by day and a computer hacker by night, he sits alone at home by his monitor, waiting for a sign, a signal--from what or whom he doesn\'t know--until one night, a mysterious woman named Trinity (Carrie-Anne Moss) seeks him out and introduces him to that faceless character he has been waiting for: Morpheus (Laurence Fishburne). A messiah of sorts, Morpheus presents Neo with the truth about his world by shedding light on the dark secrets that have troubled him for so long: "You\'ve felt it your entire life, that there\'s something wrong with the world. You don\'t know what it is, but it\'s there, like a splinter in your mind, driving you mad." Ultimately, Morpheus illustrates to Neo what the Matrix is--a reality beyond reality that controls all of their lives, in a way that Neo can barely comprehend.',
'Matrix: A computer hacker learns from mysterious rebels about the true nature of his reality and his role in the war against the controllers of it',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: Anamorphic, Closed-captioned, Color, Dolby, Subtitled, Widescreen, NTSC<br>Length: (approx) 107 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: MGM Studios</p>');


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-012', 
'new', 
'No Country for Old Men', 
12.98, 
'dvd/no_country_for_old_men.jpg', 
'no_country_for_old_men.flv',
'Llewelyn Moss (Josh Brolin), out hunting antelope near the Rio Grande, comes across a drug deal gone sour - sour enough to leave behind a cache of heroin, two million dollars, many corpses and one dying Mexican who begs for water. Making off with the money, Moss becomes undone by his conscience. Going back to take water to the dying man, he\'s discovered and identified by gunmen. Narrowly escaping the drug runners, he sends his wife Carla Jean (Kelly MacDonald) to safety. A taciturn man, Moss neither reveals to his wife, nor to audience, what his plans are.',
'Set in West Texas, a man on the run with a suitcase full of money is pursued by a number of individuals.', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');

INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES
(
'SKU-013', 
'new',  
'Fantastic Four', 
11.99, 
'dvd/fantastic_four_1.jpg', 
'fantastic_four_1.flv',
'Four astronauts have their lives changed forever, when they end up being hit by a cloud of cosmic radiation. Reed Richards (Gruffudd) now has the ability to stretch his body like elastic. Sue Storm (Alba) is now the invisible woman. Johnny Storm (Evans) becomes the human touch and Ben Grimm (Chiklis) becomes the \'Thing\', a man made out of rock. But there is one problem. The journey\'s sponsor, Victor von Doom (McMahon) has also been affects and with full power, is a dangerous force which needs to be stopped, before it\'s too late.',
'Fantastic Four: A group of astronauts gain superpowers after a cosmic radiation exposure and must use them to oppose the plans of their enemy, Doctor Victor Von Doom',
'<p><big>Regional Code: 1 (US and Canada)</big><br>Language: English, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen<br>Length: (approx) 131 minutes<br>Other: Interactive Menus, Chapter Selection, Subtitles (more languages).</p>'); 



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-014',
'new', 
'Fantastic Four: Rise of the Silver Surfer', 
10.99, 
'dvd/fantastic_four_2.jpg', 
'fantastic_four_2.flv',
'With Von Doom back in his homeland of Latveria the fantastic four have new troubles when Galactus has decided that Earth is his next target. When his henchman, The Silver Surfer, is sent to Earth he discovers that he\'s getting more than he bargained for when he encounters the Fantastic Four. But that\'s not all when Dr. Doom decides that after two years in the homeland he is ready to return',
'The Fantastic Four learn that they aren\'t the only super-powered beings in the universe when they square off against the powerful Silver Surfer and the planet-eating Galactus.',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: 16:9 Wide-Screen.<br>Length: (approx) 106 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: 20th Century Fox</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-015', 
'new', 
'Pulp Fiction', 
10.98, 
'dvd/pulp_fiction.jpg', 
'pulp_fiction.flv',
'A crime drama with a nonlinear storyline, the film is known for its rich, eclectic dialogue, its ironic mix of humor and violence, and its host of cinematic and pop culture references. The film was nominated for seven Oscars, including Best Picture; Tarantino and Avary won for Best Original Screenplay. It was also awarded the Palme d\'Or at the Cannes Film Festival. A major commercial success, it revitalized the career of its leading man, John Travolta, who received an Academy Award nomination, as did costars Samuel L. Jackson and Uma Thurman.  The film\'s title refers to the pulp magazines and hardboiled crime novels popular during the mid-20th century, known for their graphic violence and punchy dialogue. Pulp Fiction is self-referential from its opening moments, beginning with a title card that gives two dictionary definitions of "pulp". The plot, in keeping with most of Tarantino\'s other works, is nonlinear. The picture\'s self-reflexivity, unconventional structure, and extensive use of homage and pastiche have led critics to describe it as a prime example of postmodern film. Pulp Fiction is viewed as the inspiration for many later movies that adopted various elements of its style. The nature of its development, marketing, and distribution and its consequent profitability had a sweeping effect on the field of independent cinema. A cultural watershed, Pulp Fiction\'s influence has been felt in several other popular mediums.',
'Pulp Fiction: The lives of two mob hit men, a boxer, a gangster\'s wife, and a pair of diner bandits intertwine in four tales of violence and redemption.',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC <br>Length: (approx) 109 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Universal Studios</p>'); 



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-016', 
'new', 
'Shaun of the Dead', 
5.98, 
'dvd/shaun_of_the_dead.jpg', 
'shaun_dead.flv',
'British horror/comedy Shaun of the Dead is a scream in all senses of the word. Brain-hungry zombies shamble through the streets of London, but all unambitious electronics salesman Shaun (Simon Pegg) cares about is his girlfriend Liz (Kate Ashfield), who just dumped him. With the help of his slacker roommate Ed (Nick Frost), Shaun fights his way across town to rescue Liz, but the petty concerns of life keep getting in the way: When they\'re trying to use vinyl records to decapitate a pair of zombies, Shaun and Ed bicker about which bands deserve preservation--New Order they keep, but Sade becomes a lethal frisbee. Many zombie movies are comedies by accident, but Shaun of the Dead is deliberately and brilliantly funny, while still delivering a few delicious jolts of fear. Also featuring the stealthy comic presence of Bill Nighy (Love Actually) and some familar faces from The Office.',
'Shaun of the Dead: A man decides to turn his moribund life around by winning back his ex-girlfriend, reconciling his relationship with his mother, and dealing with an entire community that has returned from the dead to eat the living',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: Anamorphic, Closed-captioned, Color, Dolby, Subtitled, Widescreen, NTSC<br>Length: (approx) 107 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: MGM Studios</p>');


INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-017', 
'new', 
'Spiderman', 
12.98, 
'dvd/spiderman_1.jpg', 
'spiderman_1.flv',
'For devoted fans and nonfans alike, Spider-Man offers nothing less--and nothing more--than what you\'d expect from a superhero blockbuster. Having proven his comic-book savvy with the original Darkman, director Sam Raimi brings ample energy and enthusiasm to Spidey\'s origin story, nicely establishing high-school nebbish Peter Parker (Tobey Maguire) as a brainy outcast who reacts with appropriate euphoria--and well-tempered maturity--when a "super-spider" bite transforms him into the amazingly agile, web-shooting Spider-Man. That\'s all well and good, and so is Kirsten Dunst as Parker\'s girl-next-door sweetheart. Where Spider-Man falls short is in its hyperactive CGI action sequences, which play like a video game instead of the gravity-defying exploits of a flesh-and-blood superhero. Willem Dafoe is perfectly cast as Spidey\'s schizoid nemesis, the Green Goblin, and the movie\'s a lot of fun overall. It\'s no match for Superman and Batman in bringing a beloved character to the screen, but it places a respectable third. --Jeff Shannon',
'Spider-Man: When bitten by a genetically modified spider, a nerdy, shy, and awkward high school student gains spider-like abilities that he eventually must use to fight evil as a superhero after tragedy befalls his family',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-018', 
'new', 
'Terminator 2', 
12.98, 
'dvd/terminator_2.jpg', 
'terminator_2.flv',
'After he pushed the envelope of computer-generated special effects in The Abyss, director James Cameron turned this hotly anticipated sequel to Terminator into a well-written, action-packed showcase for advanced special effects and for one of the most invincible villains ever imagined. Terminator 2: Judgment Day is a legitimate sequel: there\'s more story to tell about a hulking, leather-clad android (Arnold Schwarzenegger) who arrives from the future to protect a rebellious teenager and future leader (Edward Furlong) from being killed by the tenacious T-1000 robot (Robert Patrick), whose liquid-metal construction makes him seemingly unstoppable. The fate of the future lies in the balance, with Linda Hamilton (who would later marry her director) reprising her role as the rugged woman whose son will change the course of history. --Jeff Shannon',
'Terminator 2: Judgement Day: A shape-shifting cyborg is sent back from the future to kill John Connor before he can grow up to lead the resistance; a protector is sent, too',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-019', 
'new', 
'Terminator 3', 
12.98, 
'dvd/terminator_3.jpg', 
'terminator_3.flv',
'With a reported budget of $172 million, Terminator 3: Rise of the Machines starts in high gear and never slows down. The apocalyptic "Judgment Day" of T2 was never prevented, only postponed: John Connor (Nick Stahl, replacing T2\'s Edward Furlong), now 22 and disconnected from society, is being pursued yet again, this time by the advanced T-X, a sleek "Terminatrix" (coldly expressionless Kristanna Loken) programmed to stop Connor from becoming the savior of humankind. Originally programmed as an assassin, a disadvantaged T-101 cyborg (Arnold Schwarzenegger, bidding fond farewell to his signature role) arrives from the future to join Connor and his old acquaintance Kate (Claire Danes) in thwarting the T-X\'s relentless pursuit. The plot presents a logical fulfillment of T2 prophesy, disposing of Connor\'s mother (Linda Hamilton is sorely missed) while computer-driven machines assume control, launching a nuclear nightmare that Connor must survive. With Breakdown and U-571 serving as worthy rehearsals for this cautionary epic of mass destruction, director Jonathan Mostow wisely avoids any stylistic connection to James Cameron\'s Terminator classics; instead he\'s crafted a fun, exciting popcorn thriller, humorous and yet still effectively nihilistic, and comparable to Jurassic Park III in returning the Terminator franchise to its potent B-movie roots. --Jeff Shannon',
'Terminator 3: Rise of the Machines: John Connor is now in his 20\'s, and a female terminator, called T-X or Terminatrix, is after him. Another T-101 is sent back through time to protect John once again on the verge of the rise of the machines',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-020', 
'new', 
'Transformers', 
12.98, 
'dvd/transformers.jpg', 
'transformers.flv',
'"I bought a car. Turned out to be an alien robot. Who knew?" deadpans Sam Witwicky, hero and human heart of Michael Bay\'s rollicking robot-smackdown fest, Transformers. Witwicky (the sweetly nerdy Shia LaBeouf, channeling a young John Cusack) is the perfect counterpoint to the nearly nonstop exhilarating action. The plot is simple: an alien civil war (the Autobots vs. the evil Decepticons) has spilled onto Earth, and young Sam is caught in the fray by his newly purchased souped-up Camaro. Which has a mind--and identity, as a noble-warrior robot named Bumblebee--of its own. The effects, especially the mind-blowing transformations of the robots into their earthly forms and back again, are stellar. Fans of the earlier film and TV series will be thrilled at this cutting-edge incarnation, but this version should please all fans of high-adrenaline action. Director Bay gleefully salts the movie with homages to pop-culture touchstones like Raiders of the Lost Ark, King Kong, and the early technothriller WarGames. The actors, though clearly all supporting those kickass robots, are uniformly on-target, including the dashing Josh Duhamel as a U.S. Army sergeant fighting an enemy he never anticipated; Jon Voight, as a tough yet sympathetic Secretary of Defense in over his head; and John Turturro, whose special agent manages to be confidently unctuous, even stripped to his undies. But the film belongs to Bumblebee, Optimus Prime, and the dastardly Megatron--and the wicked stunts they collide in all over the globe. Long live Transformers! --A.T. Hurley', 
'Transformers:  A war re-erupts on Earth between two robotic clans, the heroic Autobots and the evil Decepticons, leaving the fate of mankind hanging in the balance',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-021', 
'new', 
'X-Men', 
12.98, 
'dvd/xmen_1.jpg', 
'xmen_1.flv',
'Born into a world filled with prejudice are children who possess extraordinary and dangerous powers - the result of unique genetic mutations. Cyclops unleashes bolts of energy from his eyes. Storm can manipulate the weather at will. Rogue absorbs the life force of anyone she touches. But under the tutelage of Professor Xavier (Patrick Stewart), these and other outcasts learn to harness their powers for the good of mankind. Now they must protect those who fear them as the nefarious Magneto (Ian McKellen), who believes humans and mutants can never co-exist, unveils his sinsiter plan for the future!',
'X-Men: Two mutants come to a private academy for mutants whose resident superhero team must oppose a powerful mutant terrorist organization',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-022', 
'new', 
'X-Men 2', 
12.98, 
'dvd/xmen_2.jpg', 
'xmen_2.flv',
'X2 does a fine job of picking up where X-Men left off, giving fans more of what they liked the first time around. Under the serious-minded custody of returning director Bryan Singer, the second film of this Marvel comics franchise ups the ante on Professor Xavier (Patrick Stewart) and the superhero mutants from the first film, pitting them against a mutant-hating scientist (Brian Cox) who\'s determined to wipe out the mutant race by tricking Xavier into abusing his telepathic powers. More a series of spectacles than a truly satisfying thriller, X2 introduces new mutant allies while giving each of the X-Men alumni--notably the temporarily helpful Magneto (Ian McKellen)--their own time in the spotlight. Well aware of the parallels between "mutantism" and virulent intolerance in the real world, Singer lends real gravity to the proceedings, injecting dramatic urgency into a continuing franchise that, in lesser hands, might\'ve grown patently absurd. --Jeff Shannon',
'X-Men 2 United: The X-Men band together to find a mutant assassin who has made an attempt on the President\'s life, while the Mutant Academy is attacked by military forces',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-023', 
'new', 
'X-Men 3', 
12.98, 
'dvd/xmen_3.jpg', 
'xmen_3.flv',
'X-Men: The Last Stand is the third installment in the popular superhero franchise, and it\'s an exciting one with a splash of fresh new characters. When a scientist named Warren Worthington II announces a "cure" for mutant powers, it raises an interesting philosophical question: is mutant power a disease that needs a cure, or is it a benefit that homo superior enjoys over "normal" human beings? No surprise that Magneto (Ian McKellen) and his Brotherhood of Evil Mutants resist the idea that they need to be cured, and declare war on the human race. But it\'s a little tougher for the X-Men, led by Professor X (Patrick Stewart), Cyclops (James Marsden), and Storm (Halle Berry). If you\'re Rogue (Anna Paquin), for example, your power means you can\'t even touch your boyfriend, Iceman (Shawn Ashmore). To compound matters, someone previously thought dead has returned, and might be either friend or foe.',
'X-Men 3: The Last Stand: When a cure is found to treat mutations, lines are drawn amongst the X-Men, led by Professor Charles Xavier and the Brotherhood, a band of powerful mutants organized under Xavier\'s former ally, Magneto', 
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');



INSERT INTO Products (id, category, title, price, image, video, description, outline, specs) VALUES(
'SKU-024', 
'new', 
'Star Wars: Episode I - The Phantom Menace', 
14.98, 
'dvd/star_wars_4.jpg', 
'star_wars_4.flv',
'I have a bad feeling about this," says the young Obi-Wan Kenobi (played by Ewan McGregor) in Star Wars: Episode I, The Phantom Menace as he steps off a spaceship and into the most anticipated cinematic event... well, ever. He might as well be speaking for the legions of fans of the original episodes in the Star Wars saga who can\'t help but secretly ask themselves: Sure, this is Star Wars, but is it my Star Wars? The original elevated moviegoers\' expectations so high that it would have been impossible for any subsequent film to meet them. And as with all the Star Wars movies, The Phantom Menace features inexplicable plot twists, a fistful of loose threads, and some cheek-chewing dialogue. Han Solo\'s swagger is sorely missed, as is the pervading menace of heavy-breather Darth Vader. There is still way too much quasi-mystical mumbo jumbo, and some of what was fresh about Star Wars 22 years earlier feels formulaic. Yet there\'s much to admire. The special effects are stupendous; three worlds are populated with a mélange of creatures, flora, and horizons rendered in absolute detail. The action and battle scenes are breathtaking in their complexity. And one particular sequence of the film--the adrenaline-infused pod race through the Tatooine desert--makes the chariot race in Ben-Hur look like a Sunday stroll through the park.',
'Star Wars - Episode I, The Phantom Menace: he evil Trade Federation, led by Nute Gunray (Carson) is planning to take over the peaceful world of Naboo',
'<p>Regional Code: 1 (US and Canada)<br>Languages: English, Spanish.<br>Subtitles: English, Deutsch, Spanish.<br>Audio: Dolby Surround 5.1.<br>Picture Format: AC-3, Closed-captioned, Color, Dolby, Dubbed, Subtitled, Widescreen, NTSC<br>Length: (approx) 126 minutes.<br>Other: Interactive Menus, Chapter Selection<br>Studio: Dimension</p>');
