package com.laszlomarket;

import java.util.List;
import java.io.Serializable;

/**
 * Javabean used to store <code>Product</code> information.
 * 
 * 
 * @author Norman Klein
 *
 */
/*
 * This class follows the Javabean pattern, containing three fields
 * and providing getters and setters for those fields.
 * 
 */
public class Product implements Serializable {

	private String title = null;
    private String image = null;
    private String specs = null;
	private String description = null;
    private Double price = null;
    private String sku = null;
	private Long id = null;

    List products = null;

    /**
     * getId() retrieves <code>id</code> field.
     */
    public Long getId() { return this.id; }

    /**
     * getTitle() retrieves <code>title</code> field.
     */
    public String getTitle() { return this.title; }

    /**
     * getPrice() retrieves <code>price</code> field.
     * 
     */
    public Double getPrice() { return this.price; }

    /**
     * getImage() retrieves <code>image</code> field.
     * 
     */
    public String getImage() { return this.image; }

    /**
     * getSpecs() retrieves <code>specs</code> field.
     * 
     */
    public String getSpecs() { return this.specs; }

    /**
     * getSku() retrieves <code>sku</code> field.
     * 
     */
    public String getSku() { return this.sku; }

    /**
     * getDesc() retrieves <code>description</code> field.
     */
    public String getDescription() { return this.description; }

    /**
     * getProducts() retrieves <code>products</code> field.
     */
    public List getProducts() { return this.products; }



    /**
     * Sets <code>id</code> field.
     */
    public void setId(Long id) { this.id = id; }

    /**
     * Sets <code>title</code> field.
     */
    public void setTitle(String title) { this.title = title; }

    /**
     * Sets <code>price</code> field.
     */
    public void setPrice(Double price) { this.price = price; }

    /**
     * Sets <code>image</code> field.
     */
    public void setImage(String image) { this.image = image; }

    /**
     * Sets <code>specs</code> field.
     */
    public void setSpecs(String specs) { this.specs = specs; }

    /**
     * Sets <code>sku</code> field.
     */
    public void setSku(String sku) { this.sku = sku; }

    /**
     * setDesc() sets <code>description</code> field.
     */
    public void setDescription(String description) { this.description = description; }

    /**
     * setProducts() sets <code>products</code> field.
     */
    public void setProducts(List products) { this.products = products; }


}


