package com.laszlomarket;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.util.List;
import java.util.ArrayList;
import java.util.Enumeration;

/**
 * Processes user's request to add an <code>Product</code> to a database.
 *  
 * @author Norman Klein
 *
 */
public class ProductAction extends Action
{

    private static Log log = LogFactory.getLog(ProductAction.class);

    /**
     * execute() processes a user's request to add a <code>Product</code> to a database, 
     * 
     */
    public ActionForward execute(ActionMapping mapping, ActionForm form,
                    HttpServletRequest request, HttpServletResponse response) 
                                                                throws Exception {
    
        ActionErrors errors = new ActionErrors();
        ProductDAO dao = ProductDAO.getInstance();

        String action = request.getParameter("action");


        // The product_id and quantity are the only valid parameters
        Product product = new Product();
        BeanUtils.copyProperties(product, form);
System.err.println("XXXXX inside");
log.warn("action=" + action);
log.warn("id=" + product.getId());

		try {
        	if ("add".equals(action)) {
                dao.addProduct(product);
                return mapping.findForward("success");
            }
            else if ("delete".equals(action)) {
                dao.deleteProduct(product);
                return mapping.findForward("success");
            }
            else if ("update".equals(action)) {
                dao.updateProduct(product);
                return mapping.findForward("success");
            }
            else if ("get".equals(action)) {
                List products = new ArrayList();
				products.add(dao.getProducts(product));
				request.setAttribute("products", products);
                return mapping.findForward("display_products");
            }
			// Defaults to listing matching products
            else if (action == null || "list".equals(action)) {        
                List products = dao.getProducts(product);
log.warn("default action: products=" + products);
                request.setAttribute("products", products);

                return mapping.findForward("display_products");
            }
        }
        catch (Exception e) {
            log.warn("productAction exception: " + e.getMessage());
		    errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("errors.invalidDBOp"));
			saveErrors(request, errors);
            return mapping.findForward("failure");
        }
		return mapping.findForward("success");
    }
	
}
